import React from 'react';
import { ViewProps, TouchableOpacityProps } from 'react-native';
import * as Progress from 'react-native-progress';
import type { IconProps } from 'react-native-vector-icons/Icon';
declare type Variant = 'normal' | 'compact';
interface NativeCircularStatusProps extends TouchableOpacityProps {
    progress: number;
    iconPause?: string;
    iconPlay?: string;
    paused?: boolean;
    renderContent?: (progress: number, paused: boolean) => React.ReactNode;
    variant?: Variant;
    animated?: boolean;
    color?: string;
    placeholderColor?: string;
    onPause?: () => void;
    onPlay?: () => void;
    onStatusChanged?: (paused: boolean) => void;
    thinking?: boolean;
    contentProps?: ViewProps;
    iconProps?: Partial<IconProps>;
    placeholderProps?: ViewProps;
    progressProps?: Progress.CirclePropTypes;
}
declare const NativeCircularStatus: ({ progress, iconPause, iconPlay, paused, renderContent, variant, animated, color, placeholderColor, onPause, onPlay, onStatusChanged, thinking, disabled, contentProps, iconProps, placeholderProps, progressProps, ...containerProps }: NativeCircularStatusProps) => JSX.Element;
export default NativeCircularStatus;
